import { Component, Input } from '@angular/core';
import { ServiceService } from '../../core/service/service.service';

@Component({
  selector: 'app-etapa1-get',
  standalone: true,
  imports: [],
  templateUrl: './etapa1-get.component.html',
  styleUrl: './etapa1-get.component.css'
})
export class Etapa1GetComponent {
  constructor(private casoservicio: ServiceService) { }

  @Input() datos: any = {}; // Cambiado de any[] a any
  seguimientoetapa1: any[] = []
  idCaso: number = 0;
  casos: any
  imagenes: any[] = []

  urlMedia = import.meta.env.NG_APP_API + '/media/'

  tipodeDocumento: any

  areaPerteneciente: any
  usuarioRegistro: any
  horadeInicio : any
  ngOnInit(): void {
    if (this.datos && this.datos.caso) {
      this.casos = this.datos.caso;
      console.log(this.casos)

      this.tipodeDocumento = this.casos?.cliente?.tipoDocumento || ""
      this.areaPerteneciente = this.casos?.areaPerteneciente || ""
      this.usuarioRegistro = this.casos?.usuarioRegistro || ""

      this.imagenes = this.datos.caso.media.imagenes


      this.idCaso = this.datos.caso.id;
      this.seguimientoetapa1 = this.datos.seguimientos.filter((item: any) => item.etapa.id === 1);
   
      this.horadeInicio = this.convertirHora(this.seguimientoetapa1[0].horaInicio)

    }
    // this.jalarImagenesId()
  }

  convertirHora(horaFin) {
    // Dividir la hora, minutos y segundos
    const [hours, minutes, seconds] = horaFin.split(':');

    // Convertir la parte de horas a un número
    let hoursNumber = parseInt(hours, 10);

    // Determinar AM o PM
    const period = hoursNumber >= 12 ? 'PM' : 'AM';

    // Convertir a formato de 12 horas
    hoursNumber = hoursNumber % 12 || 12;

    // Devolver la hora en formato h:mm:ss A
    return `${hoursNumber}:${minutes}:${seconds.split('.')[0]} ${period}`;
}

  // jalarImagenesId() {
  //   const url = import.meta.env.NG_APP_API + '/casos/' + this.idCaso
  //   this.casoservicio.getApi(url).subscribe({
  //     next: (data: any) => {
  //       console.log(data)
  //       this.imagenes = data.media.imagenes
  //     },
  //     error: (error) => {
  //       console.log(error)
  //     }
  //   })
  // }
}
