import { Component, Input } from '@angular/core';

@Component({
  selector: 'app-loading',
  standalone: true,
  imports: [],
  templateUrl: './loading.component.html',
  styleUrl: './loading.component.css'
})
export class LoadingComponent {
  @Input() fila: number = 1;
  @Input() columna: number = 1;
  
  filas = Array(this.fila);
  columnas = Array(this.columna);

  ngOnChanges(): void {
    this.filas = Array(this.fila);
    this.columnas = Array(this.columna);
  }
}
