import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class ServicioGuradarDatosFallas {

    constructor(private http: HttpClient) { }
    
    private datosServicioById: any
        
    setDatosServicioById(dato:any){
        this.datosServicioById = dato;
    }
    
    getDatosServicioById(){
      return this.datosServicioById;
    }

    public postApi(url: string, datos: any): Observable<any> {
      return this.http.post(url, datos);
    }  

}


