import { Component, Input } from '@angular/core';
import { ServiceService } from '../../../core/service/service.service';
import { initFlowbite } from 'flowbite';

@Component({
  selector: 'app-vistacompletadonumerocaso',
  standalone: true,
  imports: [],
  templateUrl: './vistacompletadonumerocaso.component.html',
  styleUrl: './vistacompletadonumerocaso.component.css'
})
export class VistacompletadonumerocasoComponent {
  @Input() datos: any = {}; // Cambiado de any[] a any

  idCaso: number = 0;
  horaFin: string = '';
  fechaFIn: string = '';
  loading: boolean = false;

  fechaenvio: string = '';
  horaenvio: string = '';
  casos: any;
  seguimientoetapa2 : any[] = []
  constructor(private dataService: ServiceService) {}
  ngOnInit(): void {
    initFlowbite();
    if (this.datos && this.datos.caso) {
      this.casos=  this.datos.caso;
      const idcaso = this.datos.caso.id;
      this.idCaso = idcaso;
      this.seguimientoetapa2 = this.datos.seguimientos.filter((item: any) => item.etapa.id === 2);
      console.log(this.seguimientoetapa2);

    
    }
  }
}
