import { Component, Input } from '@angular/core';

@Component({
  selector: 'app-etapa4vistageneral',
  standalone: true,
  imports: [],
  templateUrl: './etapa4vistageneral.component.html',
  styleUrl: './etapa4vistageneral.component.css'
})
export class Etapa4vistageneralComponent {

  @Input() datos: any = {}; // Cambiado de any[] a any
  seguimientoetapa4: any[] = []
  idCaso: number = 0;
  casos : any
  imagenes: any[] = []
  videos: any[] = []
  distribuidor: any[] = []
  archivosPDFS: any[] = []
  urlMedia = import.meta.env.NG_APP_API + '/media/'
  urlsPds = import.meta.env.NG_APP_API + '/download-pdf/'

  archivoPdfRepuestos: any

  fechaFormateada : any

  mostraImpresoraDatos : number = 0

  desarrollo : any

  descripcionRepuestos : any
  observaciones : any

  ngOnInit(): void {
    if (this.datos && this.datos.caso) {
      this.casos=  this.datos;
      console.log(this.casos)
      this.desarrollo = this.datos.desarrollo
      this.idCaso = this.datos.caso.id;
      // esto es todo referido a casos
      this.imagenes = this.datos.desarrollo.media.imagenes;
      this.videos = this.datos.desarrollo.media.videos;

      this.seguimientoetapa4 = this.datos.seguimientos.filter((item: any) => item.etapa.id === 4);

      console.log(this.seguimientoetapa4)

      if (this.seguimientoetapa4.length > 0) {
        this.descripcionRepuestos = this.seguimientoetapa4[0].descripcion || '';
        this.observaciones = this.seguimientoetapa4[0].observacion || '';
      } else {
        this.descripcionRepuestos = '';
        this.observaciones = '';
      }
      




    }
  }
}
