import { Component } from '@angular/core';
import { ServiceService } from '../../../core/service/service.service';
import { FormularioGet } from '../datos';


@Component({
  selector: 'app-tablasetapas',
  standalone: true,
  imports: [],
  templateUrl: './tablasetapas.component.html',
  styleUrl: './tablasetapas.component.css'
})
export class TablasetapasComponent {

  constructor(private dataService: ServiceService) {}
  arregloget: FormularioGet[] = [];

  ngOnInit(): void {
    this.getData();
  }

  getData(): void {
    const url = import.meta.env.NG_APP_API + '/etapas';
    this.dataService.getApi(url).subscribe({
      next: (data) => {
        this.arregloget = data;
      },
      error: (error) => {
        console.log(error);
      },
    });
  }
}
