import { Component, EventEmitter, Input, Output } from '@angular/core';
import { initFlowbite } from 'flowbite';

@Component({
  selector: 'app-archivosfiles',
  standalone: true,
  imports: [],
  templateUrl: './archivosfiles.component.html',
  styleUrl: './archivosfiles.component.css'
})
export class ArchivosfilesComponent {
  @Input() id: number = 0;
  @Input() datos: any = {};
  @Output() addshowModalEvent2 = new EventEmitter<boolean>();
    //creamos un metodo para output
    showmodalclose(show: boolean) {
      this.addshowModalEvent2.emit(show);
    }

  manualesServicios: any = [];
  manualesPartes:any = [];  
  urlPDF = import.meta.env.NG_APP_API + '/download-pdf/';
    ngOnInit(): void {

      initFlowbite();
      if (this.datos) {
        this.manualesServicios = this.datos.manuales.servicios;
        this.manualesPartes = this.datos.manuales.partes;
        console.log(this.manualesServicios);
        console.log(this.manualesPartes);
      }
    }

  
}
