import { Component } from '@angular/core';
import { PutComponentPerfiles } from './put/put.component';
import { ServiceService } from '../../../../core/service/service.service';
import {
  Form,
  FormControl,
  FormGroup,
  ReactiveFormsModule,
} from '@angular/forms';

@Component({
  selector: 'app-perfilespermisos',
  standalone: true,
  imports: [PutComponentPerfiles, ReactiveFormsModule],
  templateUrl: './perfilespermisos.component.html',
  styleUrl: './perfilespermisos.component.css',
})
export class PerfilespermisosComponent {
  constructor(private dataService: ServiceService) {
    this.form = new FormGroup({
      search: new FormControl(''),
    });
  }
  arregloget: any[] = [];
  id_perfil: number = 0;
  modulosasignados: any[] = [];
  nombrePerfil: string = '';
  form: FormGroup;
  ngOnInit(): void {
    this.getData();
  }

  getData(): void {
    const url = import.meta.env.NG_APP_API + '/perfiles';
    this.dataService.getApi(url).subscribe({
      next: (data) => {
        this.arregloget = data;
      },
      error: (error) => {
        console.log(error);
      },
    });
  }
  previousPage() {
   
  }
  nextPage() {
   
  }

  enviarmodal(id_perfil: number, nombrePerfil: string) {
    this.id_perfil = id_perfil;
    this.estadomodal = !this.estadomodal;
    this.nombrePerfil = nombrePerfil;
  }

  estadomodal: boolean = false;
  abremodal(show: boolean) {
    this.estadomodal = !this.estadomodal;
  }
}
