import { Component, EventEmitter, Input, OnInit, Output, inject } from '@angular/core';
import { ServiceService } from '../../../../../core/service/service.service';

@Component({
  selector: 'app-masinfousuarios',
  standalone: true,
  imports: [],
  templateUrl: './masinfousuarios.component.html',
  styleUrl: './masinfousuarios.component.css'
})
export class MasinfousuariosComponent implements OnInit {
  @Input()id!: number; 
  @Output() addshowModalEvent = new EventEmitter<boolean>()

  url = import.meta.env.NG_APP_API + '/usuarios';
  datos : any={} ; 
  private service = inject(ServiceService)
  showModalClose(event:any){
    this.addshowModalEvent.emit(false);
  }
  ngOnInit(): void {
    this.service.getApi(this.url + `/detailed/${this.id}`).subscribe((data) => {
      this.datos = data;
      console.log(data)
    });   
  }
}
