import { Component, Input } from '@angular/core';

@Component({
  selector: 'app-mostrardatos',
  standalone: true,
  imports: [],
  templateUrl: './mostrardatos.component.html',
  styleUrl: './mostrardatos.component.css'
})
export class MostrardatosComponent {
  @Input() datos: any = {}; // Cambiado de any[] a any
  seguimientoetapa7: any[] = [];
  seguimientoetapa8: any[] = [];
  idCaso: number = 0;
  casos: any;
  imagenes: any[] = [];
  videos: any[] = [];
  distribuidor: any[] = [];
  archivosPDFS: any[] = [];
  urlsPds = import.meta.env.NG_APP_API + '/download-pdf/';

  archivoPdfRepuestos: any;

  fechaFormateada: any;

  mostraImpresoraDatos: number = 0;

  diagnotico: any;
  casosActualizar: any;

  horaFin: string = '';
  fechaFIn: string = '';

  descripcionMostar = '';
  descripcionMostar2 = '';
  archivopdfver: any;
  archivopdfver2: any;

  ngOnInit(): void {
    if (this.datos && this.datos.caso) {
      this.casos = this.datos;
      this.casosActualizar = this.datos.caso;


      this.seguimientoetapa7 = this.datos.seguimientos.filter(
        (item: any) => item.etapa.id === 7
      );
      console.log(this.seguimientoetapa7);
      this.descripcionMostar = this.seguimientoetapa7[0].descripcion;

      if (
        this.seguimientoetapa7.length > 0 &&
        this.seguimientoetapa7[0].rutasPdf &&
        this.seguimientoetapa7[0].rutasPdf.length > 0
      ) {
        this.archivopdfver =
          this.seguimientoetapa7[0].rutasPdf[0].rutaDocumento;
        console.log(this.archivopdfver);
      } else {
        console.log('No hay rutas PDF disponibles.');
        this.archivopdfver = null; // O cualquier valor predeterminado que consideres adecuado
      }
    }

    

    this.seguimientoetapa8 = this.datos.seguimientos.filter(
      (item: any) => item.etapa.id === 8
    );
    console.log(this.seguimientoetapa8);
    this.descripcionMostar2 = this.seguimientoetapa8[0].descripcion;

    if (
      this.seguimientoetapa8.length > 0 &&
      this.seguimientoetapa8[0].rutasPdf &&
      this.seguimientoetapa8[0].rutasPdf.length > 0
    ) {
      this.archivopdfver2 =
        this.seguimientoetapa8[0].rutasPdf[0].rutaDocumento;
      console.log(this.archivopdfver);
    } else {
      console.log('No hay rutas PDF disponibles.');
      this.archivopdfver2 = null; // O cualquier valor predeterminado que consideres adecuado
    }
  

  }
  
}
